<template>
  <q-layout view="hHh Lpr lff">
    <q-header elevated style="background: #61cb34; margin-top: 0px">
      <q-toolbar>
        <q-toolbar-title><img style="max-width: 11.53rem" src="http://jarkons.co.id/assets/frontend/images/jarkons/logo/logo_big.png"></q-toolbar-title>
        <q-avatar>
          <img src="https://cdn.quasar.dev/img/avatar.png">
        </q-avatar>
      </q-toolbar>
    </q-header>

    <q-drawer
      show-if-above
      :width="200"
      :breakpoint="500"
      bordered
        style="background: white"
    >

      <q-scroll-area class="fit">
        <template>
          <div class="q-pa-md q-gutter-sm">
            <q-tree
              :nodes="simple"
              node-key="label"
              no-connectors
            >
              <template v-slot:default-body="prop">
                asd
              </template>
            </q-tree>
          </div>
        </template>
      </q-scroll-area>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
  export default {

    name: "AdminLayout",

    data() {
      return {
        apiProfile: "api/details",
        token: localStorage.getItem("token"),


        simple: [
          {
            label: 'Akun Saya',
            icon: 'person',
            children: [
              {label: 'Biodata Pribadi', url:"oke"},
              {label: 'Alamat'}
            ]
          },
          {
            label: 'Provider',
            icon: 'bags shopping',
            children: [
              {label: 'Profil Prvider'},
              {label: 'Produk Saya'},
              {label: 'Pesan Provider'}
            ]
          }

        ]
      }
    },

    beforeMount() {
      this.loadProfile()
    },

    methods: {
      goToUrl: function (val) {
        alert(val)
      },
      loadProfile: function () {
        this.$q.loading.show()
        let configAxios = {
          "url": this.apiProfile,
          "method": "POST",
          "headers": {
            "Authorization": "Bearer " + this.token,
          }
        }

        this.$axios(configAxios)
          .then(success => {
            this.$q.loading.hide()
            this.$store.commit("user/updateUserDetail", success.data.data)
          })

          .catch(error => {
            console.log(error)
            this.$q.loading.hide()
            this.$router.push("login")
          })
      },
    },

    computed: {
      avatarUser: {
        get() {
          return this.$store.getters["user/getAvatar"]
        },
        set(val) {

        }
      }
    }
  }
</script>

<style scoped>
  .my-menu-link{ background: #61cb33}
</style>
